/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, markType } from "igniteui-angular-core";
import { Size } from "igniteui-angular-core";
/**
 * @hidden
 */
var OverlayTextInfo = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(OverlayTextInfo, _super);
    function OverlayTextInfo() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._horizontalMargin = 0;
        _this._horizontalPadding = 0;
        _this._verticalPadding = 0;
        _this._verticalMargin = 0;
        _this._borderRadius = 0;
        _this._borderThickness = 0;
        _this._borderShift = 0;
        _this._backgroundShift = 0;
        _this._textColorShift = 0;
        _this._borderMode = 0;
        _this._backgroundMode = 0;
        _this._textColorMode = 0;
        _this._textContent = null;
        _this._textAngle = 0;
        _this._textVisible = false;
        _this._textLocation = 0;
        _this._textColor = null;
        _this._background = null;
        _this._borderStroke = null;
        _this._shapeBrush = null;
        _this._shapeOutline = null;
        _this.ac = null;
        _this.u = null;
        _this.f = null;
        _this.aa = null;
        _this.ad = new Size();
        _this.h = false;
        _this.g = false;
        _this.ab = null;
        return _this;
    }
    Object.defineProperty(OverlayTextInfo.prototype, "horizontalMargin", {
        get: function () {
            return this._horizontalMargin;
        },
        set: function (a) {
            this._horizontalMargin = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "horizontalPadding", {
        get: function () {
            return this._horizontalPadding;
        },
        set: function (a) {
            this._horizontalPadding = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "verticalPadding", {
        get: function () {
            return this._verticalPadding;
        },
        set: function (a) {
            this._verticalPadding = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "verticalMargin", {
        get: function () {
            return this._verticalMargin;
        },
        set: function (a) {
            this._verticalMargin = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "borderRadius", {
        get: function () {
            return this._borderRadius;
        },
        set: function (a) {
            this._borderRadius = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "borderThickness", {
        get: function () {
            return this._borderThickness;
        },
        set: function (a) {
            this._borderThickness = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "borderShift", {
        get: function () {
            return this._borderShift;
        },
        set: function (a) {
            this._borderShift = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "backgroundShift", {
        get: function () {
            return this._backgroundShift;
        },
        set: function (a) {
            this._backgroundShift = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "textColorShift", {
        get: function () {
            return this._textColorShift;
        },
        set: function (a) {
            this._textColorShift = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "borderMode", {
        get: function () {
            return this._borderMode;
        },
        set: function (a) {
            this._borderMode = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "backgroundMode", {
        get: function () {
            return this._backgroundMode;
        },
        set: function (a) {
            this._backgroundMode = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "textColorMode", {
        get: function () {
            return this._textColorMode;
        },
        set: function (a) {
            this._textColorMode = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "textContent", {
        get: function () {
            return this._textContent;
        },
        set: function (a) {
            this._textContent = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "textAngle", {
        get: function () {
            return this._textAngle;
        },
        set: function (a) {
            this._textAngle = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "textVisible", {
        get: function () {
            return this._textVisible;
        },
        set: function (a) {
            this._textVisible = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "textLocation", {
        get: function () {
            return this._textLocation;
        },
        set: function (a) {
            this._textLocation = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "textColor", {
        get: function () {
            return this._textColor;
        },
        set: function (a) {
            this._textColor = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "background", {
        get: function () {
            return this._background;
        },
        set: function (a) {
            this._background = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "borderStroke", {
        get: function () {
            return this._borderStroke;
        },
        set: function (a) {
            this._borderStroke = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "shapeBrush", {
        get: function () {
            return this._shapeBrush;
        },
        set: function (a) {
            this._shapeBrush = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(OverlayTextInfo.prototype, "shapeOutline", {
        get: function () {
            return this._shapeOutline;
        },
        set: function (a) {
            this._shapeOutline = a;
        },
        enumerable: false,
        configurable: true
    });
    OverlayTextInfo.d = function (a) {
        var b = new OverlayTextInfo();
        b.textLocation = a.textLocation;
        b.textAngle = a.textAngle;
        b.textVisible = a.textVisible;
        b.textContent = a.textContent;
        b.textColor = a.textColor;
        b.h = a.textEmpty;
        b.background = a.background;
        b.horizontalMargin = a.horizontalMargin;
        b.verticalPadding = a.verticalPadding;
        b.verticalMargin = a.verticalMargin;
        b.horizontalPadding = a.horizontalPadding;
        b.borderStroke = a.borderStroke;
        b.borderThickness = a.borderThickness;
        b.borderRadius = a.borderRadius;
        b.borderShift = a.borderShift;
        b.backgroundShift = a.backgroundShift;
        b.textColorShift = a.textColorShift;
        b.borderMode = a.borderMode;
        b.backgroundMode = a.backgroundMode;
        b.textColorMode = a.textColorMode;
        b.shapeBrush = a.shapeBrush;
        b.shapeOutline = a.shapeOutline;
        b.g = a.f;
        return b;
    };
    OverlayTextInfo.$t = markType(OverlayTextInfo, 'OverlayTextInfo');
    return OverlayTextInfo;
}(Base));
export { OverlayTextInfo };
